Subject: Re: bug#28814: [BUMP, PATCH] (26.0.90; When *xref* window is needed, original window-switching intent is lost )

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Oct 2017 18:46:38 +0300

On 10/25/17 6:35 PM, João Távora wrote:

>> The binding I have in mind is in dired-mode. There, 'a' replaces the
>> current buffer with another.
>>
>> I don't recall any other 'a' bindings, off the top of my head.
> 
> Then perhaps ’a’ can be xref-quit-and-goto-xref if you’re not opposed to
> that.

Just the objection that I've already voiced.

'o' seems better, if you go that route. But that's just because I don't 
recall exactly what other 'o' bindings do.

> I would prefer to always use XREF and
> project-find-regexp (that I just learned about, thanks!), if only that
> could be enhanced to the much much faster ‘git grep’ in Git projects.
> Perhaps we could work on that as a separate modification.

Yup. Continuing that discussion is on my list.